
Redmine - Feature #24157

Make project custom fields available in timelogs columns

2016-10-24 17:38 - Jan from Planio www.plan.io

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 90%

Category: Time tracking Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed   

Description

On the timelog, it may be useful to also show the corresponding time entry's project custom fields as columns. The attached patch

implements this feature.

Associated revisions

Revision 16418 - 2017-03-18 09:45 - Jean-Philippe Lang

Make project custom fields available as columns on time logs (#24157).

Patch by Jan Schulz-Hofen.

History

#1 - 2017-03-10 14:15 - Go MAEDA

- Target version changed from Candidate for next minor release to 3.4.0

We can use project custom fields in time entries filter. I think it is consistent to make available it in available columns.

#2 - 2017-03-18 09:45 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks.

#3 - 2017-06-25 14:09 - Jean-Philippe Lang

- Subject changed from Make project custom fields available in timelogs to Make project custom fields available in timelogs columns

#4 - 2017-06-27 14:08 - Shreyas Moolya

Jean-Philippe Lang wrote:

Committed, thanks.

 I am unable to apply the patch.

Do i need to name the patch with a different name but the last extension same?

  shreyas.moolya@MH-041 /c/Sites/redmine-3.3.3

  $ patch -p1 < 0001-Make-project-custom-fields-available-as-columns-on-t.patch

  patching file `app/models/time_entry_query.rb'

  Hunk #1 FAILED at 118.

  1 out of 1 hunk FAILED -- saving rejects to app/models/time_entry_query.rb.rej

#5 - 2017-06-27 14:30 - Jan from Planio www.plan.io

The patch has already been committed. It should apply cleanly to r16417 (and some revisions prior to that) because that's what it was committed on

top of. To get this feature, you may check out r16418 directly, or use Redmine 3.4 by checking out current trunk or by waiting until the weekend when

it will be released officially.

For general questions on how to work with patches, please use the forums.
https://www.redmine.org/projects/redmine/repository/svn/revisions/16417
https://www.redmine.org/projects/redmine/repository/svn/revisions/16418
